<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFOMOEditViewBase from './emrfomoedit-view-base.vue';

import view_form from '@widgets/emrfomo/main2-form/main2-form.vue';

/**
 * 模式信息
 *
 * @export
 * @class EMRFOMOEditView
 * @extends {EMRFOMOEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFOMOEditView extends EMRFOMOEditViewBase { }
</script>